A campaign's messages
curl --request GET \
--url https://api.getreply.in/v1/campaigns/{id}/messages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getreply.in/v1/campaigns/{id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getreply.in/v1/campaigns/{id}/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://api.getreply.in/v1/campaigns/{id}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"to": "<string>",
"country": "<string>",
"type": "<string>",
"category": "<string>",
"status": "accepted",
"reason": "<string>",
"failure": {
"code": "<string>",
"message": "<string>"
},
"price": "<string>",
"charged": "<string>",
"currency": "<string>",
"reference": "<string>",
"created_at": "<string>",
"accepted_at": "<string>",
"delivered_at": "<string>",
"read_at": "<string>",
"failed_at": "<string>",
"timeline": [
{
"status": "<string>",
"at": "<string>"
}
]
}
],
"page": 123,
"per_page": 123,
"total": 123
}
Campaigns
A campaign's messages
Per person: number, status, why it did not reach them, price.
Permission: Any key (Full, Send only or Read only).
GET
/
v1
/
campaigns
/
{id}
/
messages
A campaign's messages
curl --request GET \
--url https://api.getreply.in/v1/campaigns/{id}/messages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getreply.in/v1/campaigns/{id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getreply.in/v1/campaigns/{id}/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://api.getreply.in/v1/campaigns/{id}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"to": "<string>",
"country": "<string>",
"type": "<string>",
"category": "<string>",
"status": "accepted",
"reason": "<string>",
"failure": {
"code": "<string>",
"message": "<string>"
},
"price": "<string>",
"charged": "<string>",
"currency": "<string>",
"reference": "<string>",
"created_at": "<string>",
"accepted_at": "<string>",
"delivered_at": "<string>",
"read_at": "<string>",
"failed_at": "<string>",
"timeline": [
{
"status": "<string>",
"at": "<string>"
}
]
}
],
"page": 123,
"per_page": 123,
"total": 123
}
Authorizations
Your API key, e.g. gr_live_…
Path Parameters
The id.
Query Parameters
Filter by a message status.
Page number, from 1.
Required range:
x >= 1How many on a page (at most 100).
Required range:
1 <= x <= 100